Bug 61908 - No en_GB@euro in locale_config
No en_GB@euro in locale_config
Product: Red Hat Linux
Classification: Retired
Component: glibc (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Depends On:
Blocks: 61590
  Show dependency treegraph
Reported: 2002-03-25 16:39 EST by Telsa Gwynne
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-03-29 05:03:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Telsa Gwynne 2002-03-25 16:39:05 EST
Description of Problem:

There is no en_GB@euro in locale_config. This seems minor but rapidly becomes
incredibly annoying!


I expect you will mark this as a dup of bug #56301 but I think it's important
enough to be separate. The euro is here now, and even people in the UK (which
didn't sign up to it) have a need for the symbol. I have the symbol on RH 7.2
after following the Debian Euro-HOWTO, and I want it back :)
Comment 1 Owen Taylor 2002-03-25 16:45:11 EST
An en_GB@euro (or en_GB.iso-8859-15) locale, would be a C library
issue, not a locale_config issue; locale_config just reads what
available from the C library.

locale_config could conceivably do something like set OUTPUT_CHARSET
to ISO-8859-15, but that would, indeed be a dup of bug 56301. :-)
Comment 2 Jakub Jelinek 2002-03-25 17:34:16 EST
I've added {en_US,en_GB,da_DK,sv_SE}.ISO-8859-15 for the upcoming
Comment 3 Mike A. Harris 2002-03-28 19:38:00 EST
I have just added the Euro to X on AltGr 4 for gb/uk after chatting with Alan,
and both of us surfing for relevant standards.  Build 4.2.0-6.52 and later
will have this patch.  Also added for Hungarian, Turkish, US international,
and a few others.
Comment 4 Jakub Jelinek 2002-03-29 05:03:32 EST
Wonder how are you adding Euro to Hungarian (unless in UTF-8 charset),
as there is no character set covering Hungarian letters and Euro AFAIK
(similarly for Czech, Slovak, Polish, etc.).

Note You need to log in before you can comment on or make changes to this bug.